POST /v1/auth-profiles

Authentication

Bearer Token

Request Body required

application/json
name string
domain string REQUIRED
project_id string
cookie_header string
storage_state object
cookies object[]
Array of:
name string
value string
domain string
path string
expires number
httpOnly boolean
secure boolean
sameSite string
Enum: Strict, Lax, None
origins object[]
Array of:
origin string (uri)
localStorage object[]
Array of:
name string
value string
cookies object[]
Array of:
name string
value string
domain string
path string
expires number
httpOnly boolean
secure boolean
sameSite string
Enum: Strict, Lax, None
origins object[]
Array of:
origin string (uri)
localStorage object[]
Array of:
name string
value string

Responses

201 Auth profile created
application/json
profile object
id string
project_id string | null
name string
domain string
cookie_count integer
status string
last_used_at string | null
created_at string
updated_at string
400 Error response
401 Error response
403 Error response
curl -X POST 'https://screenframed.com/v1/auth-profiles' \  -H 'Authorization: Bearer YOUR_API_TOKEN' \  -H 'Content-Type: application/json' \  -d '{  "name": "string",  "domain": "string",  "project_id": "string",  "cookie_header": "string",  "storage_state": {    "cookies": [      {        "name": "string",        "value": "string",        "domain": "string",        "path": "string",        "expires": 0,        "httpOnly": true,        "secure": true,        "sameSite": "Strict"      }    ],    "origins": [      {        "origin": "https://example.com",        "localStorage": [          {            "name": "string",            "value": "string"          }        ]      }    ]  },  "cookies": [    {      "name": "string",      "value": "string",      "domain": "string",      "path": "string",      "expires": 0,      "httpOnly": true,      "secure": true,      "sameSite": "Strict"    }  ],  "origins": [    {      "origin": "https://example.com",      "localStorage": [        {          "name": "string",          "value": "string"        }      ]    }  ]}'
const response = await fetch('https://screenframed.com/v1/auth-profiles', {  method: 'POST',  headers: {      "Authorization": "Bearer YOUR_API_TOKEN",      "Content-Type": "application/json"  },  body: JSON.stringify({    "name": "string",    "domain": "string",    "project_id": "string",    "cookie_header": "string",    "storage_state": {      "cookies": [        {          "name": "string",          "value": "string",          "domain": "string",          "path": "string",          "expires": 0,          "httpOnly": true,          "secure": true,          "sameSite": "Strict"        }      ],      "origins": [        {          "origin": "https://example.com",          "localStorage": [            {              "name": "string",              "value": "string"            }          ]        }      ]    },    "cookies": [      {        "name": "string",        "value": "string",        "domain": "string",        "path": "string",        "expires": 0,        "httpOnly": true,        "secure": true,        "sameSite": "Strict"      }    ],    "origins": [      {        "origin": "https://example.com",        "localStorage": [          {            "name": "string",            "value": "string"          }        ]      }    ]  })});const data = await response.json();console.log(data);
import requestsheaders = {    'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.post('https://screenframed.com/v1/auth-profiles', headers=headers, json={  "name": "string",  "domain": "string",  "project_id": "string",  "cookie_header": "string",  "storage_state": {    "cookies": [      {        "name": "string",        "value": "string",        "domain": "string",        "path": "string",        "expires": 0,        "httpOnly": true,        "secure": true,        "sameSite": "Strict"      }    ],    "origins": [      {        "origin": "https://example.com",        "localStorage": [          {            "name": "string",            "value": "string"          }        ]      }    ]  },  "cookies": [    {      "name": "string",      "value": "string",      "domain": "string",      "path": "string",      "expires": 0,      "httpOnly": true,      "secure": true,      "sameSite": "Strict"    }  ],  "origins": [    {      "origin": "https://example.com",      "localStorage": [        {          "name": "string",          "value": "string"        }      ]    }  ]})print(response.json())
201 Response
{  "profile": {    "id": "<string>",    "project_id": "<string>",    "name": "<string>",    "domain": "<string>",    "cookie_count": 123,    "status": "<string>",    "last_used_at": "<string>",    "created_at": "<string>",    "updated_at": "<string>"  }}
Ask a question... ⌘I